%define _buildid .8

Summary: The GNU line editor
Name: ed
Version: 1.1
Release: 3.3%{?_buildid}%{?dist}
License: GPLv3+ and GFDL
Group:  Applications/Text
Source: ftp://ftp.gnu.org/gnu/ed/%{name}-%{version}.tar.bz2
URL:    http://www.gnu.org/software/ed/
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Ed is a line-oriented text editor, used to create, display, and modify
text files (both interactively and via shell scripts).  For most
purposes, ed has been replaced in normal usage by full-screen editors
(emacs and vi, for example).

Ed was the original UNIX editor, and may be used by some programs.  In
general, however, you probably don't need to install it and you probably
won't use it.

%prep
%setup -q
rm -f stamp-h.in

%build
%configure --exec-prefix=/
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install DESTDIR=$RPM_BUILD_ROOT \
    bindir=/bin mandir=%{_mandir}/man1

rm -f $RPM_BUILD_ROOT%{_infodir}/dir*
gzip -9qnf  $RPM_BUILD_ROOT%{_infodir}/*
install -p -m0644 doc/ed.1 $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf ed.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/red.1.gz
iconv -f ISO-8859-1 -t UTF-8 AUTHORS > AUTHORS_ && /bin/mv -f AUTHORS_ AUTHORS

%post
/sbin/install-info %{_infodir}/ed.info.gz %{_infodir}/dir --entry="* ed: (ed).                  The GNU Line Editor." || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/ed.info.gz %{_infodir}/dir --entry="* ed: (ed).                  The GNU Line Editor." || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README TODO AUTHORS COPYING
/bin/*
%{_infodir}/ed.info.gz
%{_mandir}/*/*

%changelog
* Fri Jul 9 2010 21:48:58 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/ed-1.1-3.3.el6

* Fri Jul 9 2010 21:48:57 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/ed-1.1-3.1.el6

* Fri May 7 2010 00:47:43 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/ed-0.2-39.el5_2

* Fri May 7 2010 00:47:42 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/ed-0.2-38.2.2

* Fri May 7 2010 00:12:24 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package ed
